.white-bg {
  background: #fff!important;
  padding: 20px;
  display: flex;
}
.card-body {
  flex: 1 1 auto;
  padding: 1.25rem;
}
.chat_box .msg_card_body {
  overflow-y: auto;
}
.card {
  box-shadow: 0 0.5em 1em -0.125em rgba(10,10,10,.1), 0 0 0 1px rgba(10,10,10,.02);
  max-width: 100%;
}
.chat .card {
  height: 400px;
  border-radius: 0;
  min-height: 84.5vh;
  border-right: 0;
}
.vh-100 .sidebar , .chat .card{
  height: calc(100vh - 40px);
}
.search {
    padding: 20px;
  }
.sidebar {
  background: #444753;
  width: 100%;
  padding: 15px 0;
  overflow: auto;
  text-align: center;
}

.list-group {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
}
.card-header:first-child {
  border-radius: calc(.25rem - 1px) calc(.25rem - 1px) 0 0;
}
.card-header {
  padding: .75rem 1.25rem;
  margin-bottom: 0;
  background-color: rgba(0,0,0,.03);
  align-items: stretch;
  box-shadow: 0 0.125em 0.25em rgba(10,10,10,.1);
  border-bottom: 1px solid rgba(0,0,0,.125);
}
.img_cont{
  height: 50px;
  width: 50px;
}
.profile_users{
    border: 2px solid #6A6C75;
}
.user_info {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 15px;
}
.message-box {
  overflow-y: auto;
}
.message-box {
  flex: 1 1 auto;
  padding: 1.25rem;
}
.card-footer:last-child {
  border-radius: 0 0 calc(.25rem - 1px) calc(.25rem - 1px);
}
.card-footer {
  align-items: stretch;
  display: flex;
}
.card-footer {
  padding: .75rem 1.25rem;
  border-top: 1px solid rgba(0,0,0,.125);
}
.type_msg {
  color: #333;
  height: 60px;
  overflow-y: auto;
  border-radius: 0;
  border-color: #e9ecef;
  padding-right: 40px;
  padding-left: 60px;
}
.flex_styling {
  display: flex;
  padding: 7px 25px;
  border-bottom: 1px solid grey;
}
form {
  flex: 1 1;
}
.input-group-append {
  margin-left: -1px;
}
.input-group-append{
  display: flex;
}
.chat_box .chat-box .btn-submit {
  font-size: 26px;
  padding: 14px;
  background-color: #94C2ED;
  color: #ffffff;
  border: 1px solid #ffffff;
}
.chat_box .send_btn {
  border: 0;
  color: #333;
  cursor: pointer;
}
.input-group-text {
  display: flex;
  align-items: center;
  margin-bottom: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  text-align: center;
  white-space: nowrap;
  background-color: #e9ecef;
  border-radius: .25rem;
}
.user_info span {
  font-size: 20px;
  color: #333;
}
.type_msg:focus {
  box-shadow: none;
  outline: 0;
  border-color: #e9ecef;
}
.enter_name {
  color: white;
  height: 50px;
  overflow-y: auto;
  border-radius: 0;
  border-color: #6A6C75;
  background-color: #6A6C75;
}
.enter_name:focus {
  box-shadow: none;
  outline: 0;
  border-color: #6A6C75;
  background-color: #6A6C75;
  color: white;
}
.enter_name:-webkit-autofill,
.enter_name:-webkit-autofill:hover,
.enter_name:-webkit-autofill:focus,
.enter_name:-webkit-autofill:active  {
  -webkit-box-shadow: 0 0 0 30px #000 inset !important;
}
.enter_name:-webkit-autofill {
  -webkit-text-fill-color: white !important;
}
.search-icon {
  float: right;
  margin-right: 10px;
  margin-top: -35px;
  position: relative;
  z-index: 2;
  cursor: pointer;
}
.p-pointer{
  cursor: pointer;
}
.chat_box .msg_cotainer, .chat_box .msg_cotainer_send {
  margin-top: auto;
  margin-bottom: auto;
  border-radius: 5px;
  padding: 10px;
  position: relative;
  font-size: 14px;
}
.chat_box .msg_cotainer {
  margin-left: 10px;
  background-color: #f7f7f7;
  min-width: 100px!important;
}
.chat_box .msg_time {
  position: relative;
  left: 5px;
  bottom: -6px;
  color: rgba(51,51,51,.58);
  font-size: 9px;
  float: right;
}
.justify-content-start{
  display: block;
}
.msg{
  color: white;
  padding: 18px 20px;
  line-height: 26px;
  font-size: 16px;
  border-radius: 7px;
  margin-bottom: 30px;
  width: 90%;
  max-width: 600px;
  position: relative;
}
.Left_media p {
  background-color: #86BB71;
  text-align: justify;
}
.msg:after {
  bottom: 100%;
  left: 7%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-bottom-color: #86BB71;
  border-width: 10px;
  margin-left: -10px;
}

.right_media p .msg_time {
  position: relative;
  left: 5px;
  bottom: -6px;
  color: rgba(51,51,51,.58);
  font-size: 9px;
  float: right;
}
.right_media p {
  background-color: #94C2ED;
  text-align: justify;
  margin-left: auto;
}
.right_media p:after {
  border-bottom-color: #94C2ED;
  left: 93%;
}
.online, .offline, .me {
    margin-right: 3px;
    font-size: 10px;
  }
.online {
  color: #86BB71;
}
.offline {
  color: #E38968;
}
.me {
  color: #94C2ED;
}
.msg small {
  color: lighten gray;
  padding-left: 6px;
}
.message-data{
  margin-bottom: 15px;
}
.message-data-time {
  color: #a8aab1;
  padding-left: 6px;
}
.img_icon {
  float: right;
  margin-right: 15px;
  margin-top: -40px;
  z-index: 2;
  cursor: pointer;
}
.thumbnail{
  float: left; height: 50px; width: 50px;
  margin-left: 10px;
  margin-top: -55px;
  z-index: 2;
  cursor: pointer;
}
.chat_img{
  height: 200px;
  width: 200px;
}